Subject: Re: [net-next-2.6 PATCH 2/5] ixgbe: drop support for UDP in RSS hash generation

From: Bill Fink <[email-masked]>
Date: Tue, 20 Jul 2010 02:07:54 -0400

On Mon, 19 Jul 2010, David Miller wrote:

> From: Jeff Kirsher <[email-masked]>
> Date: Mon, 19 Jul 2010 16:59:27 -0700
> 
> > From: Alexander Duyck <[email-masked]>
> > 
> > This change removes UDP from the supported protocols for RSS hashing.  The
> > reason for removing this protocol is because IP fragmentation was causing a
> > network flow to be broken into two streams, one for fragmented, and one for
> > non-fragmented and this in turn was causing out-of-order issues.
> > 
> > Signed-off-by: Alexander Duyck <[email-masked]>
> > Acked-by: Don Skidmore <[email-masked]>
> > Signed-off-by: Jeff Kirsher <[email-masked]>
> 
> Applied.

Should there be a /proc or ethtool setting for whether or not to
use RSS hashing for UDP flows?  I would think that for many common
UDP applications, IP fragmentation would not be an issue because
they often tend to use sub-MTU sized datagrams.  And of course
UDP does not guarantee in-order delivery in any event.  Then a
remaining issue is what the default setting of such an option
should be.  I would lean to having it enabled by default, but
I can also see the safety argument for having it off by default.

						-Bill